package market.thread.rtd;

import CoreFS.SA01.CoreIComponent;

public class RtdServletMgt extends CoreIComponent{

	private static int runCopies = 0;
	private static Boolean shouldStop = false;
	private RtdServletThread RtdThread = null;

	public static Boolean getShouldStop() {
		return shouldStop;
	}

	public RtdServletMgt() throws Exception {
		if (++runCopies == 1) {
			RtdThread = new RtdServletThread();
			RtdThread.setName("RtdThread");
			RtdThread.setDaemon(true);
			RtdThread.start();
		}
	}
}
